## gwave 0.0.4

=== Makefile ===
#
# Rudimentary makefile for "gwave" analog waveform viewer
# This makefile requires gmake.
#
# 

# a few configuration items
# someday real soon we'll use autoconf

# If you have a working POSIX regcomp/regexec(3), define HAVE_POSIX_REGEXP
# and comment out REGEXP_OBJS
DFLAGS=-DHAVE_POSIX_REGEXP
#REGEXP_OBJS=regexp.o regerror.o

HW_OS=$(shell hw_os)
INSTDIR=/usr/msl/vlsi/bin/bin-$(HW_OS)

NAME=gwave-0.0.4

#############################################################################
GTKLIBS = $(shell gtk-config --libs)
GTKCFLAGS = $(shell gtk-config --cflags)
THISDIR=$(notdir $(shell pwd))

CFLAGS	= -g -Wall $(GTKCFLAGS) $(DFLAGS)
LDLIBS	= $(GTKLIBS)

CC=gcc
LDCC=gcc

all: gwave test_read

GWAVE_OBJS=gwave.o wavelist.o pixmaps.o cmd.o draw.o event.o wavewin.o \
	reader.o rd_cazm.o rd_hspice.o gtkmisc.o $(REGEXP_OBJS)

gwave: $(GWAVE_OBJS)
	$(LDCC) -o $@ $(GWAVE_OBJS) $(LDLIBS)

test_read: test_read.o reader.o rd_cazm.o rd_hspice.o $(REGEXP_OBJS)
	$(LDCC) -o $@ $^ $(LDLIBS)

regexp.o: regexp.c
	gcc -traditional $(CFLAGS) -c $*.c 

clean:
	rm -f core *.o

distclean: clean
	rm -f gwave test_read *~

dist: distclean
	cd .. ; \
	ln -s $(THISDIR) $(NAME) ; \
	gtar czvf $(NAME).tar.gz --exclude=RCS --dereference $(NAME); \
	rm $(NAME)


install: gwave
	cp gwave $(INSTDIR)


# manual dependencies
gwave.o cmd.o draw.o event.o wavewin.o wavelist.o: gwave.h reader.h
gtkmisc.o: gtkmisc.h
gwave.o: reader.h gwave.h
wavelist.o: gtkmisc.h

reader.o: reader.h
rd_cazm.o: reader.h
rd_hspice.o: reader.h

## gwave 19990927

=== Makefile ===
# Things you might want to put in ENV and LENV:
# -Dvoid=int		compilers that don't do void
# -DCHARBITS=0377	compilers that don't do unsigned char
# -DSTATIC=extern	compilers that don't like "static foo();" as forward decl
# -DSTRCSPN		library does not have strcspn()
# -Dstrchr=index	library does not have strchr()
# -DERRAVAIL		have utzoo-compatible error() function and friends
ENV=
LENV=
CC=gcc -traditional

# Things you might want to put in TEST:
# -DDEBUG		debugging hooks
# -I.			regexp.h from current directory, not /usr/include
TEST=-I.

# Things you might want to put in PROF:
# -Dstatic='/* */'	make everything global so profiler can see it.
# -p			profiler
PROF=

CFLAGS=-O $(ENV) $(TEST) $(PROF)
LINTFLAGS=$(LENV) $(TEST) -ha
LDFLAGS=

OBJ=regexp.o regsub.o
LSRC=regexp.c regsub.c regerror.c
DTR=README dMakefile regexp.3 regexp.h regexp.c regsub.c regerror.c \
	regmagic.h try.c timer.c tests

try:	try.o $(OBJ)
	$(CC) $(LDFLAGS) try.o $(OBJ) -o try

# Making timer will probably require putting stuff in $(PROF) and then
# recompiling everything; the following is just the final stage.
timer:	timer.o $(OBJ)
	$(CC) $(LDFLAGS) $(PROF) timer.o $(OBJ) -o timer

timer.o:	timer.c timer.t.h

timer.t.h:	tests
	sed 's/	/","/g;s/\\/&&/g;s/.*/{"&"},/' tests >timer.t.h

# Regression test.
r:	try tests
	@echo 'No news is good news...'
	try <tests

lint:	timer.t.h
	@echo 'Complaints about multiply-declared regerror() are legit.'
	lint $(LINTFLAGS) $(LSRC) try.c
	lint $(LINTFLAGS) $(LSRC) timer.c

regexp.o:	regexp.c regexp.h regmagic.h
regsub.o:	regsub.c regexp.h regmagic.h

clean:
	rm -f *.o core mon.out timer.t.h dMakefile dtr try timer

dtr:	r makedtr $(DTR)
	makedtr $(DTR) >dtr

dMakefile:	Makefile
	sed '/^L*ENV=/s/ *-DERRAVAIL//' Makefile >dMakefile

## gwave 20090213

=== debian/changelog ===
gwave (20090213-2) unstable; urgency=low

  * Switch to source format 3.0 (quilt).
  * debian/control:
    + Bumped Standards-Version to 3.8.3, no changes needed.
    + Added myself to uploaders.
    + Build-Depend on debhelper (>= 7.0.50~).
    + Added Homepage field.
    + Fix from Ubuntu: add dependency on guile-gnome2-gtk to fix segfault at
      launch (Closes: #522674)
    + Remove guile-gnome2-gtk from Build-Depends.
    + Added dependency on ${misc:Depends}
    + Remove libreadline5-dev from Build-Depends (Closes: #553780).
    + Added Vcs-* fields.
    + Enhanced extended description.
    + Added Recommends: extra-xdg-menus
  * debian/compat: Bumped compat level to 7
  * Added debian/gwave.install and debian/gwave.examples
  * debian/rules: Simplified rules file.
  * debian/gwave.desktop:
    + Remove Encoding key.
    + Use Name, GenericName and Comment fields from an old Ubuntu patch.
  * Added patch 01_fix_ascii_import_locale.diff to fix LC_NUMERIC issue
    importing ASCII files. Thanks to Peter Clifton <pcjc2@cam.ac.uk>.
    (LP: #482748)
  * debian/copyright: Rewrite in machine-readable format.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 16 Nov 2009 15:42:07 +0200

gwave (20090213-1) unstable; urgency=low

  * New upstream release
    * Targets GTK+ 2.x (closes: #516179)
  * Rewrote copyright file to follow latest template
  * Added debian/watch

 -- Hamish Moffatt <hamish@debian.org>  Fri, 13 Mar 2009 10:22:04 +1100

gwave (20060606-1) unstable; urgency=low

  * "New" upstream release
  * Changed maintainer to pkg-electronics team
  * Updated menu file for new menu sections
  * Added desktop file (closes: #367353)

 -- Hamish Moffatt <hamish@debian.org>  Thu, 04 Oct 2007 23:59:53 +1000

gwave (20031224-3) unstable; urgency=low

  * Update to standards-revision 3.6.2
  * Add build-dep for libreadline5-dev; it's already required through
    guile-1.6-dev but it is required directly also (closes: #326348)
  * Rebuild to link with libreadline5

 -- Hamish Moffatt <hamish@debian.org>  Sat,  3 Sep 2005 10:52:37 +1000

gwave (20031224-2) unstable; urgency=low

  * Updated dependencies to use guile-1.6-dev (closes: #227468)

 -- Hamish Moffatt <hamish@debian.org>  Mon, 26 Jan 2004 01:07:20 +1100

gwave (20031224-1) unstable; urgency=low

  * New upstream release
  * Build against new libguilegtk-1.2-0 replacing old GNOME 1 libguilegtk0
    (closes: #187829)

 -- Hamish Moffatt <hamish@debian.org>  Mon, 29 Dec 2003 11:11:24 +1100

gwave (20020122-1) unstable; urgency=low

  * New upstream release 

 -- Hamish Moffatt <hamish@debian.org>  Sun, 30 Jun 2002 23:19:36 +1000

gwave (20011021-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Mon, 22 Oct 2001 22:43:21 +1000

gwave (20001123-2) unstable; urgency=low

  * Fixed build dependency on libgtk-dev (closes: #116541)

 -- Hamish Moffatt <hamish@debian.org>  Mon, 22 Oct 2001 08:21:37 +1000

gwave (20001123-1) unstable; urgency=low

  * New upstream release
  * Added build-deps and updated standards-version

 -- Hamish Moffatt <hamish@debian.org>  Wed,  6 Dec 2000 22:58:16 +1100

gwave (19990927-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Tue,  5 Oct 1999 18:32:08 +1000

gwave (19990601-2) unstable; urgency=low

  * FHS compliant

 -- Hamish Moffatt <hamish@debian.org>  Fri,  1 Oct 1999 19:28:44 +1000

gwave (19990601-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Sat, 05 Jun 1999 09:37:00 +1000

gwave (0.0.6-1) unstable; urgency=low

  * New upstream release

 -- Hamish Moffatt <hamish@debian.org>  Fri, 12 Mar 1999 19:22:00 +1100

gwave (0.0.4-2) frozen unstable; urgency=low

  * Changed menu section from Apps/Electronics to Apps/Technical,
    since the former does not exist

 -- Hamish Moffatt <hamish@debian.org>  Sat, 21 Nov 1998 16:18:39 +1100

gwave (0.0.4-1) unstable; urgency=low

  * Initial Release.

 -- Hamish Moffatt <hamish@debian.org>  Wed,  7 Oct 1998 20:35:39 +1000

=== debian/control ===
Source: gwave
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Hamish Moffatt <hamish@debian.org>, Wesley J. Landaker <wjl@icecavern.net>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.0.50~), libgtk2.0-dev, guile-1.8-dev | libguile-dev, libglib2.0-dev, libreadline-dev, guile-gnome2-dev, guile-cairo-dev, libgwrap-runtime-dev
Homepage: http://gwave.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-electronics/gwave.git
Vcs-Browser: http://git.debian.org/?p=pkg-electronics/gwave.git

Package: gwave
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, guile-gnome2-gtk
Recommends: extra-xdg-menus
Description: a waveform viewer eg for spice simulators
 Gwave is a tool for viewing analog data, such as the output of Spice
 simulations.
 .
 Gwave can read "raw" files from spice2G6, spice3F5 or ngspice, and a tabular
 ASCII format suitable for use with GnuCAP or homegrown tools. It can also read
 several binary and ascii files written by commercial spice-type simulators
 such as hspice, tspice, and nanosim.
 .
 It supports multiple "panels" (graticules) with multiple variables displayed
 in each. Two vertical-bar cursors are available for time-difference
 measurements. Multiple files can be loaded, for comparing results of several
 simulations.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_compress:
	dh_compress --exclude=examples

=== debian/watch ===
version=3
http://sf.net/gwave/gwave2-(.*)\.tar\.gz

## gwave 20170109

=== icons/Makefile ===

XPM=drag-no.xpm wave-drag-ok.xpm

../pixmaps.c: $(XPM) Makefile
	>$@
	sed -e 's/noname/drag_no_xpm/' -e 's/static//' drag-no.xpm >> $@
	sed -e 's/noname/wave_drag_ok_xpm/' -e 's/static//' wave-drag-ok.xpm >> $@

=== debian/changelog ===
gwave (20170109-1) unstable; urgency=medium

  * New upstream release
  * Remove menu entry as desktop entry is sufficient
  * Refreshed patches
  * Removed 01-fix_ascii_import_locale.diff patch, applied upstream
  * Update copyright years
  * Update standards version to 4.1.1
  * Switch Vcs-* fields to secure URLs
  * Remove Hamish Moffatt from uploaders (Closes: #831482)
  * Bumped compat level to 10
  * Override dh_autoreconf to create an empty config.rpath before running
    autoreconf
  * fix_indirect_linking.diff patch: add -lm to gwave_LDADD

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 09 Oct 2017 17:35:14 +0200

gwave (20090213-6.1) unstable; urgency=medium

  * Non-maintainer upload
  * Added make_stack.diff patch to remove use of
    scm_the_last_stack_fluid_var that was deprecated from guile in
    commit ec16eb7847895247be3438c25d2d27ce2e137b83 dated 19 Jun 2010.
  * Added std_menus.diff patch to replace gtk-menu-append and
    gtk-menu-bar-append with gtk-menu-shell-append, preventing
    the use of the append generic that is missing in guile-gnome.
    - Closes: #779990, LP: #1311839

 -- Patricio Paez <pp@pp.com.mx>  Mon, 22 Aug 2016 12:30:03 -0500

gwave (20090213-6) unstable; urgency=medium

  * Added guile2.0.diff patch to update used header file for Guile 2.0 migration
    (Closes: #746003)
  * Update my email address
  * debian/patches/fix_*linking.diff: Add upstream bug links & update
    forwarded patch URLs.
  * fix_indirect_linking.diff patch: add missing -lm.
    Thanks to Daniel T Chen <seven.steps@gmail.com>
  * guile2.0.diff patch: Completed GH to scm transition. Also, added missing
    variable declaration.
    Thanks to Daniel T Chen <crimsun@ubuntu.com>
  * debian/copyright: Update copyright years.
  * debian/control: Bumped Standards-Version to 3.9.6

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 05 Mar 2015 13:29:07 +0200

gwave (20090213-5) unstable; urgency=medium

  * debian/control:
    + Removed Wesley J. Landaker from Uploaders list since he has retired
      (Closes: #759988)
    + Migrate to Guile 2.0 (Closes: #746003)
    + Bumped Standards-Version to 3.9.5
    + Bumped compat level to 9
    + Remove obsolete DMUA field.
    + Use canonical URIs in Vcs-* fields.
  * debian/copyright: Update copyright format & years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 12 Sep 2014 09:59:05 +0300

gwave (20090213-4) unstable; urgency=low

  * Renamed fix_needless_linking.diff patch to fix_as-needed_linking.diff
  * Updated fix_as-needed_linking.diff patch to fix test_read linking.
    Thanks to Matthias Klose <doko@ubuntu.com> (Closes: #641725)
  * debian/control:
    + Bumped Standards-Version to 3.9.2
    + Removed article from description synopsis
  * Bumped compat level to 8
  * debian/copyright:
    + Updated copyright years
    + Fixed formatting

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 15 Sep 2011 17:06:03 +0200

gwave (20090213-3) unstable; urgency=low

  * Added patch fix_indirect_linking.diff to provide -lX11 when linking
    gwave, gwave-exec & gwave-repl (Closes: #554762).
  * Override dh_auto_configure to add "-Wl,--as-needed" to LDFLAGS
  * Forwarded patch to upstream
  * debian/control:
    + Updated my email address
    + Added DMUA after sponsors consent:
      http://lists.alioth.debian.org/pipermail/pkg-electronics-devel/2010-April/001827.html
    + Bumped Standards-Version to 3.8.4, no changes needed.
  * debian/copyright: updated my email address.
  * Removed files that were left over from previous releases.
  * Added fix_needless_linking.diff patch to reorder arguments when
    linking sp2sp & gwave so LDFLAGS would operate.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 07 Apr 2010 23:04:15 +0200

=== debian/control ===
Source: gwave
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 10), libgtk2.0-dev, guile-2.0-dev | libguile-dev, libglib2.0-dev, libreadline-dev, guile-gnome2-dev, guile-cairo-dev, libgwrap-runtime-dev
Homepage: http://gwave.sourceforge.net
Vcs-Git: https://anonscm.debian.org/git/pkg-electronics/gwave.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-electronics/gwave.git

Package: gwave
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, guile-gnome2-gtk
Recommends: extra-xdg-menus
Description: waveform viewer eg for spice simulators
 Gwave is a tool for viewing analog data, such as the output of Spice
 simulations.
 .
 Gwave can read "raw" files from spice2G6, spice3F5 or ngspice, and a tabular
 ASCII format suitable for use with GnuCAP or homegrown tools. It can also read
 several binary and ascii files written by commercial spice-type simulators
 such as hspice, tspice, and nanosim.
 .
 It supports multiple "panels" (graticules) with multiple variables displayed
 in each. Two vertical-bar cursors are available for time-difference
 measurements. Multiple files can be loaded, for comparing results of several
 simulations.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_autoreconf:
	touch config.rpath
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

override_dh_compress:
	dh_compress --exclude=examples

## gwave 20190116

=== debian/changelog ===
gwave (20190116-2) unstable; urgency=medium

  * Add gitlab-ci.yml
  * Re-enable dh_autoreconf and bump to compat level 10

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 04 Jun 2019 08:49:27 +0200

gwave (20190116-1) unstable; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release
  * Dropped fix_indirect_linking.diff, applied upstream
  * Dropped guile2.0.diff, make_stack.diff, std_menus.diff patches, no longer
    needed
  * Build against Guile 2.2 (Closes: #885200)
  * Update watch file
  * Use secure copyright format URL.
  * Update copyright years
  * Update to standards version 4.3.0
  * fix_as-needed_linking.diff: patch src/Makefile.* to link against guile libs
  * Add typos.diff patch to fix spelling mistakes
  * Disable dh_autoreconf to workaround an issue in guile-2.2 (See: #926182)

  [ Dima Kogan ]
  * Moved Vcs-... tags to point to salsa

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 03 Apr 2019 17:54:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 10), libgtk2.0-dev, guile-2.0-dev | libguile-dev, libglib2.0-dev, libreadline-dev, guile-gnome2-dev, guile-cairo-dev, libgwrap-runtime-dev
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 12), libgtk2.0-dev, guile-2.2-dev | libguile-dev, libglib2.0-dev, libreadline-dev, guile-gnome2-dev, guile-cairo-dev, libgwrap-runtime-dev
 Homepage: http://gwave.sourceforge.net
-Vcs-Git: https://anonscm.debian.org/git/pkg-electronics/gwave.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-electronics/gwave.git
+Vcs-Git: https://salsa.debian.org/electronics-team/gwave.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/gwave
 
 Package: gwave
 Architecture: any

=== debian/watch ===
version=3
http://sf.net/gwave/gwave-(.*)\.tar\.gz
